This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 241483 - Review Request: ocaml-expat - OCaml wrapper for the Expat XML parsing library
Review Request: ocaml-expat - OCaml wrapper for the Expat XML parsing library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On: 240557
Blocks: 241487
  Show dependency treegraph
 
Reported: 2007-05-26 10:26 EDT by Richard W.M. Jones
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 13:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-05-26 10:26:59 EDT
Spec URL: http://annexia.org/tmp/ocaml-expat.spec
SRPM URL: http://annexia.org/tmp/ocaml-expat-0.9.1-1.src.rpm
Description: This is a wrapper around the expat library.
Comment 1 Xavier Lamien 2007-06-09 19:55:54 EDT
Added bug dependency which must be review first.
Comment 2 Richard W.M. Jones 2007-06-11 15:45:15 EDT
Spec URL: http://annexia.org/tmp/ocaml-expat.spec
SRPM URL: http://annexia.org/tmp/ocaml-expat-0.9.1-2.src.rpm

Updated to latest OCaml packaging guidelines.
Built against OCaml 3.10.
Tested against bytecode-only architectures.
Comment 3 Richard W.M. Jones 2007-06-11 15:46:38 EDT
Spec URL: http://annexia.org/tmp/ocaml/ocaml-expat.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-expat-0.9.1-2.src.rpm

(URLs fixed)
Comment 4 Richard W.M. Jones 2007-06-20 07:03:28 EDT
This is missing a BuildRequires of expat-devel.  Updated files here:

http://annexia.org/tmp/ocaml/ocaml-expat.spec
http://annexia.org/tmp/ocaml/ocaml-expat-0.9.1-3.src.rpm
Comment 5 Xavier Lamien 2007-07-26 23:44:34 EDT
Starting review...
Comment 6 Xavier Lamien 2007-08-01 20:20:43 EDT
=== REQUIRED ITEMS ===

 [ OK ] Package successfully compiles and builds on at least one supported arch.
 [ OK ] Mock built on x86_64 [ F-Devel ]
 [ OK ] Package is named according to the Package Naming and Ocaml Guidelines.
 [ OK ] Spec file name match the packaging naming Ocaml guidelines.
 [ Ok ] Package meets the Packaging Guidelines.
 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ OK ] License field in the package spec file matches the actual license.
     License type: GPL
 [ OK ] Spec file is legible and written in American English.
 [ OK ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires.
 [ OK ] The spec file handles locales properly.
 [ OK ] ldconfig called in %post and %postun if required.
 [ OK ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ OK ] Package uses nothing in %doc for runtime.
 [ SKIP ] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ CHECK ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages

According to OCaml Packaging Guideline:
 
 [ OK ] OCaml modules / libs should be named ocaml-foo.
 [ OK ] The spec file should still build bytecode libraries and binaries.
 [ OK ] Should Test if the native compiler is present.
 [ OK ] main package should contain files matching all files which mentioned in 
        OCaml guideline if present.
 [ OK ] -devel sub-package Should contains all files which're mentioned in OCaml
        guidelines if present.

 [CHECK] Requires:
libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libexpat.so.0()(64bit)
ocaml(Callback) = e5ca1fb5990fac2b7b17cbb1712cffe2 ocaml(Pervasives) =
8ba3d1faa24d659525c9025f41fd0c57 ocaml = 3.10.0-1.fc8

 [ ? ] rpmlint:

 * on -devel package: silent

 * on main package:
----------------------------------------------
W: ocaml-expat devel-file-in-non-devel-package /usr/lib64/ocaml/expat/expat.cmi

According to the OCaml guidelines, those can be ignored.

W: ocaml-expat unstripped-binary-or-object /usr/lib64/ocaml/stublibs/dllmlexpat.so
E: ocaml-expat binary-or-shlib-defines-rpath
/usr/lib64/ocaml/stublibs/dllmlexpat.so ['/usr/local/lib']

However those need some fix.


Comment 7 Xavier Lamien 2007-08-01 20:21:28 EDT
typo: lisence is LGPL
Comment 8 Richard W.M. Jones 2007-08-02 09:04:03 EDT
http://annexia.org/tmp/ocaml/ocaml-expat-0.9.1-4.fc8.src.rpm
http://annexia.org/tmp/ocaml/ocaml-expat.spec

Change log:

* Thu Aug  2 2007 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-4
- ExcludeArch ppc64
- Remove rpath from the stublibs .so file.
- Strip the stublibs .so file.
Comment 9 Xavier Lamien 2007-08-02 11:25:57 EDT
well,
All issues has been fixed.

==========
*APPROVED*
==========
Comment 10 Richard W.M. Jones 2007-08-02 11:44:44 EDT
New Package CVS Request
=======================
Package Name: ocaml-expat
Short Description: OCaml wrapper for the Expat XML parsing library
Owners: rjones@redhat.com
Branches: F-7
InitialCC: rjones@redhat.com,lxtnow@gmail.com
Comment 11 Kevin Fenzi 2007-08-02 12:37:40 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.